vich_uploader:
    db_driver: orm

    mappings:
        product_images:
            uri_prefix: /uploads/images/products
            upload_destination: '%kernel.project_dir%/public/uploads/images/products'
            namer: Vich\UploaderBundle\Naming\SmartUniqueNamer
            inject_on_load: false

        category_images:
            uri_prefix: /uploads/images/categories
            upload_destination: '%kernel.project_dir%/public/uploads/images/categories'
            namer: Vich\UploaderBundle\Naming\SmartUniqueNamer
            inject_on_load: false
            delete_on_update: true
            delete_on_remove: true

        carousel_images:
            uri_prefix: /images/carousel
            upload_destination: '%kernel.project_dir%/public/images/carousel'
            namer: Vich\UploaderBundle\Naming\SmartUniqueNamer
            delete_on_update: true
            delete_on_remove: true
